Page MenuHomePhabricator

[BUG] Sharing action is not tracked if it occurs via a swipe action
Closed, InvalidPublic

Description

How many times were you able to reproduce it?

5/5

Steps to reproduce

  1. Set a brakpoint in https://github.com/wikimedia/wikipedia-ios/blob/e444abd854fc79af9caf2440439c40d70b65cb75/Wikipedia/Code/EventLogger.m#L39
  2. Clean install, opt in to send usage reports
  3. In the feed, view all top read articles
  4. Swipe one of the articles to reveal the action pane
  5. Tap share

Expected results

Breakpoint is triggered, share action is logged

Actual results

Breakpoint is not triggered, share action is not logged

Screenshots

Environments observed

App version: 1399
OS versions: All
Device model: All
Device language:All

NOTE: Similar to T192520

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 3 2018, 4:34 PM
NHarateh_WMF updated the task description. (Show Details)May 3 2018, 4:35 PM
Vvjjkkii renamed this task from [BUG] Sharing action is not tracked if it occurs via a swipe action to 2odaaaaaaa.Jul 1 2018, 1:12 AM
Vvjjkkii reopened this task as Open.
Vvjjkkii triaged this task as High priority.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed a subscriber: Aklapper.
CommunityTechBot renamed this task from 2odaaaaaaa to [BUG] Sharing action is not tracked if it occurs via a swipe action.Jul 1 2018, 7:17 AM
CommunityTechBot closed this task as Invalid.
CommunityTechBot updated the task description. (Show Details)
CommunityTechBot added a subscriber: Aklapper.
CommunityTechBot raised the priority of this task from High to Needs Triage.Jul 3 2018, 2:07 AM